The Wiert Corner – irregular stream of stuff

Jeroen W. Pluimers on .NET, C#, Delphi, databases, and personal interests

  • My badges

  • Twitter Updates

  • My Flickr Stream

  • Pages

  • All categories

  • Enter your email address to subscribe to this blog and receive notifications of new posts by email.

    Join 1,512 other followers

GExperts 1.37 available for Delphi XE6..6.02, but not for Appmethod (via: Download | GExperts)

Posted by jpluimers on 2014/04/19

GExperts 1.37 (commit 875, but no tag yet) now supports Delphi XE6 and XE5, and ahost of older Delphi versions. Binary downloads are available at Download | GExperts

These were the release news items:

In addition to what is in those items, 1.37contain a substantial speed improvement and some other fixes from me (I hope this fix also will get in later) in the Grep Search.

It is likely that this will be the last GExperts that support Pre-Delphi-2007 versions (currently 2006, 2005, 8.02, 7.1 and 6.02).

It is not clear if there will be a GExperts for Appmethod, as Appmethod does not provide functioning command-line compilers like I already blogged about in Spring4D now has projects for Appmethod, but it cannot support Appmethod in the automated build engine.

You can get an Experimental GExperts version for Delphi XE6..6.02 (that includes a source formatter) from Experimental GExperts Version » twm’s blog.

From Thomas Mueller (the author of the experimental GExperts versions), there are also a few other interesting blog posts you probably will like:

–jeroen

via: Download | GExperts.

6 Responses to “GExperts 1.37 available for Delphi XE6..6.02, but not for Appmethod (via: Download | GExperts)”

  1. IL said

    Just curious, because I don’t intend to use Appmethod for long. Aren’t all XE5 and Appmethod DCU and BPL/DCP binary compatible? Could GExperts be compiled in Appmethod IDE like Spring4D does?

    • jpluimers said

      I doubt it. Different compiler version. And I’m not going to put too much energy in it if it cannot be part of CI.

    • sglienke said

      No, because GExperts uses lots of VCL and while Appmethod contains the needed VCL bpls it does not contain the required dcp files to compile anything that requires VCL :( Also the Appmethod bpl versions are 195 while XE5 is 190 and XE6 is 200.
      I guess that means no support for any experts that have any VCL elements in them.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

 
%d bloggers like this: